Subject: Re: [PATCH]IPv6:remove duplicate check of optlen when setsockopt with IPV6_PKTINFO option

From: Yang Hongyang <[email-masked]>
Date: Thu, 15 Jan 2009 18:07:49 +0800

David Miller wrote:
> From: Herbert Xu <[email-masked]>
> Date: Thu, 15 Jan 2009 16:37:02 +1100
> 
>> On Thu, Jan 15, 2009 at 01:34:03PM +0800, Yang Hongyang wrote:
>>> Dave,there are some of the code elsewhere return EFAULT when
>>> optval=NULL,I will post a patch to fix them:)
>> I disagree.  The concept of a user-space NULL pointer is different
>> to that of a kernel-space NULL pointer, so the kernel should not
>> be treating a user-space NULL pointer differently than any other
>> pointer.
> 
> I agree with Herbert, but of course we have to adhere to cases
> where APIs actually define a user NULL pointer to have a specific
> meaning.
> 
> 

Agreed.Seems that Patch v2 is correct according to the discussion.^_^

-- 
Regards
Yang Hongyang